KCAPI_AEAD_INBUFLEN_(3)

NAME
kcapi_aead_inbuflen_enc - return minimum encryption input buffer length

SYNOPSIS

uint32_t kcapi_aead_inbuflen_enc(struct kcapi_handle * handle, uint32_t inlen, uint32_t assoclen, uint32_t taglen);

ARGUMENTS

handle
    [in] cipher handle

inlen
    [in] size of plaintext

assoclen
    [in] size of associated data (AD)

taglen
    [in] size of authentication tag

DESCRIPTION

return minimum size of input data length in bytes

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT